# -*- coding: utf-8 -*-
# Generated by Django 1.9.10 on 2016-10-13 14:31
from __future__ import unicode_literals

from django.db import migrations, models
import mezzanine.core.fields


class Migration(migrations.Migration):

    dependencies = [
        ('organization-media', '0005_auto_20160930_1849'),
    ]

    operations = [
        migrations.CreateModel(
            name='Media',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('keywords_string', models.CharField(blank=True, editable=False, max_length=500)),
                ('title', models.CharField(max_length=500, verbose_name='Title')),
                ('title_fr', models.CharField(max_length=500, null=True, verbose_name='Title')),
                ('title_en', models.CharField(max_length=500, null=True, verbose_name='Title')),
                ('slug', models.CharField(blank=True, help_text='Leave blank to have the URL auto-generated from the title.', max_length=2000, null=True, verbose_name='URL')),
                ('_meta_title', models.CharField(blank=True, help_text='Optional title to be used in the HTML title tag. If left blank, the main title field will be used.', max_length=500, null=True, verbose_name='Title')),
                ('description', models.TextField(blank=True, verbose_name='Description')),
                ('description_fr', models.TextField(blank=True, null=True, verbose_name='Description')),
                ('description_en', models.TextField(blank=True, null=True, verbose_name='Description')),
                ('gen_description', models.BooleanField(default=True, help_text='If checked, the description will be automatically generated from content. Uncheck if you want to manually set a custom description.', verbose_name='Generate description')),
                ('created', models.DateTimeField(editable=False, null=True)),
                ('updated', models.DateTimeField(editable=False, null=True)),
                ('status', models.IntegerField(choices=[(1, 'Draft'), (2, 'Published')], default=2, help_text='With Draft chosen, will only be shown for admin users on the site.', verbose_name='Status')),
                ('publish_date', models.DateTimeField(blank=True, db_index=True, help_text="With Published chosen, won't be shown until this time", null=True, verbose_name='Published from')),
                ('expiry_date', models.DateTimeField(blank=True, help_text="With Published chosen, won't be shown after this time", null=True, verbose_name='Expires on')),
                ('short_url', models.URLField(blank=True, null=True)),
                ('in_sitemap', models.BooleanField(default=True, verbose_name='Show in sitemap')),
                ('external_id', models.CharField(max_length=128, verbose_name='media id')),
                ('poster_url', models.URLField(blank=True, max_length=1024, verbose_name='poster')),
                ('created_at', models.DateTimeField(auto_now=True)),
            ],
            options={
                'verbose_name': 'media',
                'ordering': ('-created_at',),
                'verbose_name_plural': 'medias',
            },
        ),
        migrations.CreateModel(
            name='MediaTranscoded',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('file', mezzanine.core.fields.FileField(max_length=1024, verbose_name='Image')),
                ('url', models.URLField(blank=True, max_length=1024, verbose_name='URL')),
                ('mime_type', models.CharField(max_length=64, verbose_name='mime type')),
            ],
            options={
                'verbose_name': 'media',
                'verbose_name_plural': 'medias',
            },
        ),
        migrations.CreateModel(
            name='PlaylistMedia',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
            options={
                'verbose_name': 'media',
                'verbose_name_plural': 'medias',
            },
        ),
        migrations.RemoveField(
            model_name='audio',
            name='category',
        ),
        migrations.RemoveField(
            model_name='audio',
            name='site',
        ),
        migrations.RemoveField(
            model_name='video',
            name='category',
        ),
        migrations.RemoveField(
            model_name='video',
            name='site',
        ),
        migrations.AlterModelOptions(
            name='playlist',
            options={'verbose_name': 'playlist', 'verbose_name_plural': 'playlists'},
        ),
        migrations.RemoveField(
            model_name='playlist',
            name='audios',
        ),
        migrations.AddField(
            model_name='playlist',
            name='_meta_title',
            field=models.CharField(blank=True, help_text='Optional title to be used in the HTML title tag. If left blank, the main title field will be used.', max_length=500, null=True, verbose_name='Title'),
        ),
        migrations.AddField(
            model_name='playlist',
            name='created',
            field=models.DateTimeField(editable=False, null=True),
        ),
        migrations.AddField(
            model_name='playlist',
            name='expiry_date',
            field=models.DateTimeField(blank=True, help_text="With Published chosen, won't be shown after this time", null=True, verbose_name='Expires on'),
        ),
        migrations.AddField(
            model_name='playlist',
            name='gen_description',
            field=models.BooleanField(default=True, help_text='If checked, the description will be automatically generated from content. Uncheck if you want to manually set a custom description.', verbose_name='Generate description'),
        ),
        migrations.AddField(
            model_name='playlist',
            name='in_sitemap',
            field=models.BooleanField(default=True, verbose_name='Show in sitemap'),
        ),
        migrations.AddField(
            model_name='playlist',
            name='keywords_string',
            field=models.CharField(blank=True, editable=False, max_length=500),
        ),
        migrations.AddField(
            model_name='playlist',
            name='publish_date',
            field=models.DateTimeField(blank=True, db_index=True, help_text="With Published chosen, won't be shown until this time", null=True, verbose_name='Published from'),
        ),
        migrations.AddField(
            model_name='playlist',
            name='short_url',
            field=models.URLField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name='playlist',
            name='status',
            field=models.IntegerField(choices=[(1, 'Draft'), (2, 'Published')], default=2, help_text='With Draft chosen, will only be shown for admin users on the site.', verbose_name='Status'),
        ),
        migrations.AddField(
            model_name='playlist',
            name='type',
            field=models.CharField(blank=True, choices=[('audio', 'audio'), ('video', 'video')], max_length=32, null=True, verbose_name='type'),
        ),
        migrations.AddField(
            model_name='playlist',
            name='updated',
            field=models.DateTimeField(editable=False, null=True),
        ),
        migrations.AlterField(
            model_name='playlist',
            name='description',
            field=models.TextField(blank=True, verbose_name='Description'),
        ),
        migrations.AlterField(
            model_name='playlist',
            name='description_en',
            field=models.TextField(blank=True, null=True, verbose_name='Description'),
        ),
        migrations.AlterField(
            model_name='playlist',
            name='description_fr',
            field=models.TextField(blank=True, null=True, verbose_name='Description'),
        ),
    ]
