# -*- coding: utf-8 -*-
# Generated by Django 1.9.11 on 2016-12-08 11:44
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import mezzanine.core.fields


class Migration(migrations.Migration):

    dependencies = [
        ('organization-network', '0064_auto_20161205_1536'),
    ]

    operations = [
        migrations.CreateModel(
            name='OrganizationLinked',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=1024, verbose_name='title')),
                ('description', models.TextField(blank=True, verbose_name='description')),
            ],
            options={
                'verbose_name': 'Organization Linked',
            },
        ),
        migrations.CreateModel(
            name='OrganizationLinkedBlockInline',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('_order', mezzanine.core.fields.OrderField(null=True, verbose_name='Order')),
                ('title', models.CharField(max_length=1024, verbose_name='title')),
                ('description', models.TextField(blank=True, verbose_name='description')),
                ('organization_linked', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='organization_linked_block_inline_list', to='organization-network.OrganizationLinked', verbose_name='organization list')),
            ],
            options={
                'ordering': ('_order',),
            },
        ),
        migrations.CreateModel(
            name='OrganizationLinkedInline',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('_order', mezzanine.core.fields.OrderField(null=True, verbose_name='Order')),
                ('title', models.CharField(max_length=1024, verbose_name='title')),
                ('description', models.TextField(blank=True, verbose_name='description')),
            ],
            options={
                'ordering': ('_order',),
            },
        ),
        migrations.RemoveField(
            model_name='organization',
            name='order',
        ),
        migrations.RemoveField(
            model_name='organization',
            name='organizations_content',
        ),
        migrations.RemoveField(
            model_name='organization',
            name='organizations_footer',
        ),
        migrations.AddField(
            model_name='organization',
            name='_order',
            field=mezzanine.core.fields.OrderField(null=True, verbose_name='Order'),
        ),
        migrations.AddField(
            model_name='organizationlinkedinline',
            name='organization',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='organization_linked_inline_from', to='organization-network.Organization', verbose_name='organization'),
        ),
        migrations.AddField(
            model_name='organizationlinkedinline',
            name='organization_list',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='organization_linked_inline_linked', to='organization-network.OrganizationLinked', verbose_name='organization linked'),
        ),
        migrations.AddField(
            model_name='organizationlinkedblockinline',
            name='organization_main',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='organization_linked_block', to='organization-network.Organization', verbose_name='organization'),
        ),
    ]
