# -*- coding: utf-8 -*-
# Generated by Django 1.9.11 on 2016-12-28 13:28
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import organization.network.validators


class Migration(migrations.Migration):

    dependencies = [
        ('organization-projects', '0032_project_external_id'),
        ('organization-network', '0072_auto_20161222_1906'),
    ]

    operations = [
        migrations.CreateModel(
            name='PersonActivityTimeSheet',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('percentage', models.IntegerField(verbose_name='% of work time on the project')),
                ('month', models.IntegerField(verbose_name='month')),
                ('year', models.IntegerField(verbose_name='year')),
            ],
            options={
                'verbose_name': 'activity timesheet',
                'ordering': ['month'],
                'verbose_name_plural': 'activity timesheets',
            },
        ),
        migrations.CreateModel(
            name='PersonActivityVacation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_from', models.DateField(blank=True, null=True, verbose_name='begin date')),
                ('date_to', models.DateField(blank=True, null=True, verbose_name='end date')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AlterField(
            model_name='activityweeklyhourvolume',
            name='friday_hours',
            field=models.FloatField(validators=[organization.network.validators.validate_positive], verbose_name='friday hours'),
        ),
        migrations.AlterField(
            model_name='activityweeklyhourvolume',
            name='monday_hours',
            field=models.FloatField(validators=[organization.network.validators.validate_positive], verbose_name='monday hours'),
        ),
        migrations.AlterField(
            model_name='activityweeklyhourvolume',
            name='thursday_hours',
            field=models.FloatField(validators=[organization.network.validators.validate_positive], verbose_name='thursday hours'),
        ),
        migrations.AlterField(
            model_name='activityweeklyhourvolume',
            name='tuesday_hours',
            field=models.FloatField(validators=[organization.network.validators.validate_positive], verbose_name='tuesday hours'),
        ),
        migrations.AlterField(
            model_name='activityweeklyhourvolume',
            name='wednesday_hours',
            field=models.FloatField(validators=[organization.network.validators.validate_positive], verbose_name='wednesday hours'),
        ),
        migrations.AlterField(
            model_name='personactivity',
            name='friday_hours',
            field=models.FloatField(blank=True, null=True, validators=[organization.network.validators.validate_positive], verbose_name='friday hours'),
        ),
        migrations.AlterField(
            model_name='personactivity',
            name='monday_hours',
            field=models.FloatField(blank=True, null=True, validators=[organization.network.validators.validate_positive], verbose_name='monday hours'),
        ),
        migrations.AlterField(
            model_name='personactivity',
            name='thursday_hours',
            field=models.FloatField(blank=True, null=True, validators=[organization.network.validators.validate_positive], verbose_name='thursday hours'),
        ),
        migrations.AlterField(
            model_name='personactivity',
            name='tuesday_hours',
            field=models.FloatField(blank=True, null=True, validators=[organization.network.validators.validate_positive], verbose_name='tuesday hours'),
        ),
        migrations.AlterField(
            model_name='personactivity',
            name='wednesday_hours',
            field=models.FloatField(blank=True, null=True, validators=[organization.network.validators.validate_positive], verbose_name='wednesday hours'),
        ),
        migrations.AddField(
            model_name='personactivityvacation',
            name='activity',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='organization-network.PersonActivity', verbose_name='activity'),
        ),
        migrations.AddField(
            model_name='personactivitytimesheet',
            name='activity',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='timesheets', to='organization-network.PersonActivity', verbose_name='activity'),
        ),
        migrations.AddField(
            model_name='personactivitytimesheet',
            name='project',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='timesheets', to='organization-projects.Project', verbose_name='project'),
        ),
    ]
