# -*- coding: utf-8 -*-
# Generated by Django 1.9.10 on 2016-10-07 08:45
from __future__ import unicode_literals

from django.db import migrations, models


def update_project_type(apps, schema_editor):
    Project = apps.get_model("organization-projects", "Project")
    for project in Project.objects.all():
        if project.type == 'external project':
            project.type = 'external'
            project.save()
        if project.type == 'internal project':
            project.type = 'internal'
            project.save()


class Migration(migrations.Migration):

    dependencies = [
        ('organization-projects', '0018_auto_20161005_1424'),
    ]

    operations = [
        migrations.AlterField(
            model_name='project',
            name='type',
            field=models.CharField(choices=[('internal', 'internal'), ('external', 'external')], max_length=128, verbose_name='type'),
        ),
        migrations.RunPython(update_project_type),
    ]
