# -*- coding: utf-8 -*-
# Generated by Django 1.9.11 on 2017-03-07 14:40
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import mezzanine.core.fields


class Migration(migrations.Migration):

    dependencies = [
        ('sites', '0002_alter_domain_unique'),
        ('organization-network', '0089_auto_20170303_1637'),
        ('organization-projects', '0047_remove_projectictdata_contact'),
    ]

    operations = [
        migrations.CreateModel(
            name='ProjectResidency',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('keywords_string', models.CharField(blank=True, editable=False, max_length=500)),
                ('title', models.CharField(max_length=500, verbose_name='Title')),
                ('slug', models.CharField(blank=True, help_text='Leave blank to have the URL auto-generated from the title.', max_length=2000, null=True, verbose_name='URL')),
                ('_meta_title', models.CharField(blank=True, help_text='Optional title to be used in the HTML title tag. If left blank, the main title field will be used.', max_length=500, null=True, verbose_name='Title')),
                ('description', models.TextField(blank=True, verbose_name='Description')),
                ('gen_description', models.BooleanField(default=True, help_text='If checked, the description will be automatically generated from content. Uncheck if you want to manually set a custom description.', verbose_name='Generate description')),
                ('created', models.DateTimeField(editable=False, null=True)),
                ('updated', models.DateTimeField(editable=False, null=True)),
                ('status', models.IntegerField(choices=[(1, 'Draft'), (2, 'Published')], default=2, help_text='With Draft chosen, will only be shown for admin users on the site.', verbose_name='Status')),
                ('publish_date', models.DateTimeField(blank=True, db_index=True, help_text="With Published chosen, won't be shown until this time", null=True, verbose_name='Published from')),
                ('expiry_date', models.DateTimeField(blank=True, help_text="With Published chosen, won't be shown after this time", null=True, verbose_name='Expires on')),
                ('short_url', models.URLField(blank=True, null=True)),
                ('in_sitemap', models.BooleanField(default=True, verbose_name='Show in sitemap')),
                ('content', mezzanine.core.fields.RichTextField(verbose_name='Content')),
                ('date_from', models.DateField(blank=True, null=True, verbose_name='begin date')),
                ('date_to', models.DateField(blank=True, null=True, verbose_name='end date')),
                ('validated', models.BooleanField(default=False)),
                ('producer_commitment', models.TextField(verbose_name='producer commitment')),
                ('artist', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='residencies', to='organization-network.Person', verbose_name='artist')),
                ('producer', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='residencies', to='organization-network.Organization', verbose_name='producer')),
                ('project', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='residencies', to='organization-projects.Project', verbose_name='project')),
                ('site', models.ForeignKey(editable=False, on_delete=django.db.models.deletion.CASCADE, to='sites.Site')),
            ],
            options={
                'verbose_name_plural': 'Project residencies',
                'verbose_name': 'Project residency',
            },
        ),
        migrations.CreateModel(
            name='ProjectResidencyFile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('_order', mezzanine.core.fields.OrderField(null=True, verbose_name='Order')),
                ('title', models.CharField(max_length=1024, verbose_name='title')),
                ('description', models.TextField(blank=True, verbose_name='description')),
                ('file', mezzanine.core.fields.FileField(max_length=1024, verbose_name='document')),
                ('residency', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='files', to='organization-projects.ProjectResidency', verbose_name='project residency file')),
            ],
            options={
                'ordering': ('_order',),
            },
        ),
        migrations.AlterModelOptions(
            name='projectcall',
            options={'ordering': ['title'], 'verbose_name': 'project call', 'verbose_name_plural': 'project calls'},
        ),
        migrations.AddField(
            model_name='projectcall',
            name='producer_form_content',
            field=mezzanine.core.fields.RichTextField(blank=True, null=True, verbose_name='Producer form content'),
        ),
        migrations.AddField(
            model_name='projectcall',
            name='project_form_content',
            field=mezzanine.core.fields.RichTextField(blank=True, null=True, verbose_name='Project form content'),
        ),
        migrations.AddField(
            model_name='projectcall',
            name='residency_form_content',
            field=mezzanine.core.fields.RichTextField(blank=True, null=True, verbose_name='Residency form content'),
        ),
        migrations.AlterField(
            model_name='projectcall',
            name='name',
            field=models.CharField(blank=True, max_length=512, verbose_name='name'),
        ),
    ]
