# -*- coding: utf-8 -*-
# Generated by Django 1.9.11 on 2017-03-14 08:37
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('organization-projects', '0050_auto_20170313_1224'),
    ]

    operations = [
        migrations.CreateModel(
            name='ProjectPrivateData',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('description', models.TextField(help_text='(500 - 1000 words)', verbose_name='project description')),
                ('affiliation', models.CharField(max_length=512, verbose_name='affiliation')),
                ('commitment_letter', models.FileField(help_text='Written on behalf of the whole project consortium, this letter will commit in implementing the collaboration of a residency application selected by the VERTIGO jury, on the conditions set by the project (in annex of letter: synthesis of all related information entered by project).', max_length=1024, upload_to='Documents/%Y/%m/%d/', verbose_name='letter of commitment by the project coordinator')),
                ('persons', models.CharField(help_text='First name and last name of the persons from organization / project who will be part preliminary of the project team (separated by a comma)', max_length=512, verbose_name='persons')),
            ],
            options={
                'verbose_name': 'Project private data',
                'verbose_name_plural': 'Project private data',
            },
        ),
        migrations.CreateModel(
            name='ProjectPublicData',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('brief_description', models.CharField(help_text='Brief description of the challenges faced by the project to be used for wider communication strategy (e.g. Twitter) (110 characters max).', max_length=110, verbose_name='brief description')),
                ('challenges_description', models.TextField(help_text='Full description of the challenges faced by the project (100-150 words).', verbose_name='full description')),
                ('technology_description', models.TextField(help_text='Must include the elements to be made available to the artist with sufficient functional and implementation details for enabling him/her to elaborate his/her technical approach (100-200 words).', verbose_name='technology description')),
                ('objectives_description', models.TextField(help_text='What the project is looking to gain from the collaboration and what kind of artist would be suitable (100 – 150 words).', verbose_name='objective description')),
                ('resources_description', models.TextField(help_text='Resources available to the artist -- e.g. office facility, studio facility, technical equipment, internet connection, laboratory, and periods of availability for artistic production, staff possibly allocated to the project, available budget for travel, consumables and equipment, etc... (50 – 100 words).', verbose_name='resource description')),
                ('period', models.CharField(help_text='Possible period of implementation (must be part of the project implementation workplan)', max_length=128, verbose_name='period of implementation')),
                ('image', models.FileField(help_text='Representing the project', max_length=1024, upload_to='images', verbose_name='Image')),
                ('image_credits', models.CharField(blank=True, max_length=256, null=True, verbose_name='Image credits')),
            ],
            options={
                'verbose_name': 'Project public data',
                'verbose_name_plural': 'Project public data',
            },
        ),
        migrations.RemoveField(
            model_name='projectictdata',
            name='project',
        ),
        migrations.AlterField(
            model_name='project',
            name='type',
            field=models.CharField(choices=[('internal', 'internal'), ('external', 'external')], max_length=128, verbose_name='type'),
        ),
        migrations.DeleteModel(
            name='ProjectICTData',
        ),
        migrations.AddField(
            model_name='projectpublicdata',
            name='project',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='public_data', to='organization-projects.Project', verbose_name='project'),
        ),
        migrations.AddField(
            model_name='projectprivatedata',
            name='project',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='private_data', to='organization-projects.Project', verbose_name='project'),
        ),
    ]
