# -*- coding: utf-8 -*-
# Generated by Django 1.9.11 on 2017-04-18 17:08
from __future__ import unicode_literals

from django.db import migrations, models


def update_project_topic(apps, schema_editor):
    ProjectTopic = apps.get_model("organization-projects", "ProjectTopic")
    for project_topic in ProjectTopic.objects.all():
        if not project_topic.key:
            project_topic.key = project_topic.name
            project_topic.save()


class Migration(migrations.Migration):

    dependencies = [
        ('organization-projects', '0057_auto_20170412_1310'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='projecttopic',
            options={'ordering': ['key'], 'verbose_name': 'project topic', 'verbose_name_plural': 'project topics'},
        ),
        migrations.AddField(
            model_name='projecttopic',
            name='key',
            field=models.CharField(blank=True, max_length=128, null=True, verbose_name='key'),
        ),
        migrations.RunPython(update_project_topic),
    ]
